MSK upgrade from 2.8

0

currently i am using MSK 2.8.2.tiered, i would like to upgrade to 3.x, but the terraform always asks to recreate the cluster, does MSK support upgrade to 3.x from 2.8.2.tiered?

debug9
asked 4 months ago490 views
1 Answer
0

You can upgrade to 3.6.0 from 2.8.2 tiered in place within the console: https://us-east-1.console.aws.amazon.com/msk/home?region=us-east-1#/clusters Navigate to the appropriate region, select the cluster, Action -> upgrade apache kafka version.

From the documentation: https://docs.aws.amazon.com/msk/latest/developerguide/msk-tiered-storage.html The Amazon MSK cluster with tiered storage enabled must use version 3.6.0 or 2.8.2.tiered.

AWS
answered 3 months ago
  • how to ensure that the recreation of cluster doesnt occur through terraform

  • Have you found a solution to this ?

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions